Freeciv-3.1: tab_building Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Member Functions | Private Attributes
tab_building Class Reference

`#include <tab_building.h>`

Inheritance diagram for tab_building:

## Public Member Functions

| tab_building (ruledit_gui *ui_in)
void | refresh ()

## Private Slots

void | name_given ()
void | select_bldg ()
void | add_now2 ()
void | delete_now ()
void | edit_now ()
void | same_name_toggle (bool checked)
void | edit_reqs ()
void | edit_effects ()

## Private Member Functions

void | update_bldg_info (struct impr_type *pimpr)
bool | initialize_new_bldg (struct impr_type *pimpr)

## Private Attributes

ruledit_gui * | ui
QLineEdit * | name
QLineEdit * | rname
QListWidget * | bldg_list
QCheckBox * | same_name
struct impr_type * | selected

## Detailed Description

Definition at line 30 of file tab_building.h.

## Constructor & Destructor Documentation

## ◆ tab_building()

tab_building::tab_building | ( | ruledit_gui * | ui_in | ) |

explicit

Setup tab_building object

Definition at line 46 of file tab_building.cpp.

## Member Function Documentation

## ◆ add_now2

void tab_building::add_now2 | ( |  | ) |

privateslot

User requested new building

Definition at line 248 of file tab_building.cpp.

Referenced by tab_building().

## ◆ delete_now

void tab_building::delete_now | ( |  | ) |

privateslot

User requested building deletion

Definition at line 209 of file tab_building.cpp.

Referenced by tab_building().

## ◆ edit_effects

void tab_building::edit_effects | ( |  | ) |

privateslot

User wants to edit effects

Definition at line 307 of file tab_building.cpp.

Referenced by tab_building().

## ◆ edit_now

void tab_building::edit_now | ( |  | ) |

privateslot

User requested building edit dialog

Definition at line 323 of file tab_building.cpp.

Referenced by tab_building().

## ◆ edit_reqs

void tab_building::edit_reqs | ( |  | ) |

privateslot

User wants to edit reqs

Definition at line 296 of file tab_building.cpp.

Referenced by tab_building().

## ◆ initialize_new_bldg()

bool tab_building::initialize_new_bldg | ( | struct impr_type * | pimpr | ) |

private

Initialize new building for use.

Definition at line 233 of file tab_building.cpp.

Referenced by add_now2().

## ◆ name_given

void tab_building::name_given | ( |  | ) |

privateslot

User entered name for the building

Definition at line 176 of file tab_building.cpp.

Referenced by tab_building().

## ◆ refresh()

void tab_building::refresh | ( |  | ) |

Refresh the information.

Definition at line 119 of file tab_building.cpp.

Referenced by add_now2(), delete_now(), ruledit_gui::launch_now(), name_given(), and tab_building().

## ◆ same_name_toggle

void tab_building::same_name_toggle | ( | bool | checked | ) |

privateslot

Toggled whether rule_name and name should be kept identical

Definition at line 285 of file tab_building.cpp.

Referenced by tab_building().

## ◆ select_bldg

void tab_building::select_bldg | ( |  | ) |

privateslot

User selected building from the list.

Definition at line 161 of file tab_building.cpp.

Referenced by tab_building().

## ◆ update_bldg_info()

void tab_building::update_bldg_info | ( | struct impr_type * | pimpr | ) |

private

Update info of the building

Definition at line 133 of file tab_building.cpp.

Referenced by add_now2(), delete_now(), select_bldg(), and tab_building().

## Field Documentation

## ◆ bldg_list

QListWidget* tab_building::bldg_list

private

Definition at line 45 of file tab_building.h.

Referenced by refresh(), select_bldg(), and tab_building().

## ◆ name

QLineEdit* tab_building::name

private

Definition at line 43 of file tab_building.h.

Referenced by name_given(), same_name_toggle(), tab_building(), and update_bldg_info().

## ◆ rname

QLineEdit* tab_building::rname

private

Definition at line 44 of file tab_building.h.

Referenced by name_given(), same_name_toggle(), tab_building(), and update_bldg_info().

## ◆ same_name

QCheckBox* tab_building::same_name

private

Definition at line 46 of file tab_building.h.

Referenced by name_given(), tab_building(), and update_bldg_info().

## ◆ selected

struct impr_type* tab_building::selected

private

Definition at line 48 of file tab_building.h.

Referenced by delete_now(), edit_effects(), edit_now(), edit_reqs(), name_given(), tab_building(), and update_bldg_info().

## ◆ ui

ruledit_gui* tab_building::ui

private

Definition at line 39 of file tab_building.h.

Referenced by delete_now(), edit_effects(), edit_now(), edit_reqs(), name_given(), and tab_building().